joystickIntégration

⭐ Mise en relation

Chaque responsable de mise en relation gère sa propre API privée, distincte de l’API Edgegap de votre organisation.

Chaque responsable de mise en relation gère sa propre API privée, distincte de l’API Edgegap de votre organisation.

🗺️ Emplacements

List Cloud Locations

get

List all locations available for cloud deployment. Optionally specify an app version to remove locations with insufficient capacity to deploy at this time.

Autorisations
AuthorizationstringRequis
Paramètres de requête
appstringOptionnel

Custom identifier.

Example: my-game-server
versionstringOptionnel

Custom version identifier, often a timestamp or a build ID.

Example: 2024.01.30-16.23.00-UTC
pageinteger · min: 1OptionnelExample: 2
limitinteger · min: 1OptionnelExample: 20
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Réponses
chevron-right
200

Success

application/json
messagesstring[]Optionnel

Additional information regarding locations.

Example: [""]
total_countintegerRequisExample: 100
get
/v1/locations

🗼 Balises

List Ping Beacons

get

List all active ping beacons.

Autorisations
AuthorizationstringRequis
Paramètres de requête
pageinteger · min: 1OptionnelExample: 2
limitinteger · min: 1OptionnelExample: 20
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Réponses
chevron-right
200

Success

application/json
countintegerRequis

Count of returned active ping beacons.

Example: 17
get
/v1/locations/beacons

🗒️ Stockage des journaux

Create a New Endpoint Storage

post

Create an endpoint storage to store your container logs at the end of a deployment.

Autorisations
AuthorizationstringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Corps
namestringRequis

Name of the Endpoint Storage

Example: my-s3-bucket
access_key_idstringRequis

Your access key ID to connect to your S3 Bucket.

Example: my-access-key-id
endpointstringRequis

Full URL to your S3 Bucket with https or http. It's recommended to not include your bucket name as a subdomain

Example: https://us-east-1.your-s3-provider.com
bucketstringRequis

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-bucket
output_formatstring · enumOptionnel

The format how the logs will be exported to the bucket.

Default: TEXTExample: NDJSONValeurs possibles:
secret_access_keystringRequis

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-secret-access
Réponses
chevron-right
200

Success

application/json
namestringRequis

Name of the Endpoint Storage

Example: my-s3-bucket
access_key_idstringRequis

Your access key ID to connect to your S3 Bucket.

Example: my-access-key-id
endpointstringRequis

Full URL to your S3 Bucket with https or http. It's recommended to not include your bucket name as a subdomain

Example: https://us-east-1.your-s3-provider.com
bucketstringRequis

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-bucket
output_formatstring · enumOptionnel

The format how the logs will be exported to the bucket.

Default: TEXTExample: NDJSONValeurs possibles:
create_timestringOptionnel

UTC time of endpoint creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptionnel

UTC time of endpoint last update

Example: 2022-01-01 00:00:00.000000
post
/v1/storage/endpoint

Get an Endpoint Storage

get

Retrieve an endpoint storage. The secret_access_key won't be displayed.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
endpoint_namestringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Réponses
chevron-right
200

Success

application/json
namestringRequis

Name of the Endpoint Storage

Example: my-s3-endpoint
access_key_idstringRequis

Your access key ID to connect to your S3 Bucket.

Example: my-access-key-id
endpointstringRequis

Full URL to your S3 Bucket with https or http. It's recommended to not include your bucket name as a subdomain

Example: https://us-east-1.your-s3-provider.com
bucketstringRequis

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-bucket
output_formatstring · enumOptionnel

The format how the logs will be exported to the bucket.

Default: TEXTExample: NDJSONValeurs possibles:
create_timestringOptionnel

UTC time of endpoint storage creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptionnel

UTC time of endpoint storage last update

Example: 2022-01-01 00:00:00.000000
get
/v1/storage/endpoint/{endpoint_name}

List All Endpoint Storage

get

List all endpoint storage.

Autorisations
AuthorizationstringRequis
Paramètres de requête
pageinteger · min: 1OptionnelExample: 2
limitinteger · min: 1OptionnelExample: 20
Paramètres d'en-tête
X-Fieldsstring · maskOptionnel

An optional fields mask

AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Réponses
chevron-right
200

Success

application/json
paginationanyOptionnel
get
/v1/storage/endpoints

Update an Endpoint Storage

patch

Update an Endpoint Storage with new specifications.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
endpoint_namestringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Corps
namestringOptionnel

Name of the Endpoint Storage

Example: my-s3-endpoint
access_key_idstringOptionnel

Your access key ID to connect to your S3 Bucket.

Example: my-access-key-id
secret_access_keystringOptionnel

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-secret-access
endpointstringOptionnel

Full URL to your S3 Bucket with https or http. It's recommended to not include your bucket name as a subdomain

Example: https://us-east-1.your-s3-provider.com
bucketstringOptionnel

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-bucket
output_formatstring · enumOptionnel

The format how the logs will be exported to the bucket.

Default: TEXTExample: NDJSONValeurs possibles:
Réponses
chevron-right
200

Success

application/json
namestringOptionnel

Name of the Endpoint Storage

Example: my-s3-endpoint
access_key_idstringOptionnel

Your access key ID to connect to your S3 Bucket.

Example: my-access-key-id
endpointstringOptionnel

Full URL to your S3 Bucket with https or http. It's recommended to not include your bucket name as a subdomain

Example: https://us-east-1.your-s3-provider.com
bucketstringOptionnel

Your secret access key to connect to your S3 Bucket. Will be encrypted.

Example: my-bucket
output_formatstring · enumOptionnel

The format how the logs will be exported to the bucket.

Default: TEXTExample: NDJSONValeurs possibles:
create_timestringOptionnel

UTC time of endpoint storage creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptionnel

UTC time of endpoint storage last update

Example: 2022-01-01 00:00:00.000000
patch
/v1/storage/endpoint/{endpoint_name}

Delete an Endpoint Storage

delete

Delete an endpoint storage. All the application versions linked to it won't be able to store logs anymore.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
endpoint_namestringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Réponses
delete
/v1/storage/endpoint/{endpoint_name}

Aucun contenu

Create a New Pull Profile

post

Create a pull profile. Pull profile will upload data from an endpoint storage to a deployment container on boot. You must link the application version to the pull profile first.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
endpoint_namestringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Corps
namestringRequis

Name of the pull profile

Example: pull_profile_name
sourcestringRequis

Source in the S3 bucket to fetch from

Example: /my-bucket/config.cfg
source_typestring · enumRequis

If the source is a File or a Directory

Example: FileValeurs possibles:
destinationstringRequis

Destination path where your source will be uploaded in your container. Make sure to avoid protected destinations, such as /etc/, as this will prevent the files from being copied to your deployment, and will make your deployment fail. Make sure a normal user can write to the destination folder.

Example: /usr/share/configs
Réponses
chevron-right
200

Success

application/json
namestringRequis

Name of the pull profile

Example: pull_profile_name
sourcestringRequis

Source in the S3 bucket to fetch from

Example: /my-bucket/config.cfg
source_typestring · enumRequis

If the source is a File or a Directory

Example: FileValeurs possibles:
destinationstringRequis

Destination path where your source will be uploaded in your container. Make sure to avoid protected destinations, such as /etc/, as this will prevent the files from being copied to your deployment, and will make your deployment fail. Make sure a normal user can write to the destination folder.

Example: /usr/share/configs
create_timestringOptionnel

UTC time of pull profile creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptionnel

UTC time of pull profile last update

Example: 2022-01-01 00:00:00.000000
post
/v1/storage/endpoint/{endpoint_name}/pull-profile

Get a Pull Profile

get

Retrieve a pull profile and its specifications.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
endpoint_namestringRequis
pull_profile_namestringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Réponses
chevron-right
200

Success

application/json
namestringRequis

Name of the pull profile

Example: pull_profile_name
sourcestringRequis

Source in the S3 bucket to fetch from

Example: /my-bucket/config.cfg
source_typestring · enumRequis

If the source is a File or a Directory

Example: FileValeurs possibles:
destinationstringRequis

Destination path where your source will be uploaded in your container. Make sure to avoid protected destinations, such as /etc/, as this will prevent the files from being copied to your deployment, and will make your deployment fail. Make sure a normal user can write to the destination folder.

Example: /usr/share/configs
create_timestringOptionnel

UTC time of pull profile creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptionnel

UTC time of pull profile last update

Example: 2022-01-01 00:00:00.000000
get
/v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name}

List All Pull Profile of an Endpoint Storage

get

List all pull profiles of an endpoint storage.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
endpoint_namestringRequis
Paramètres de requête
pageinteger · min: 1OptionnelExample: 2
limitinteger · min: 1OptionnelExample: 20
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Réponses
chevron-right
200

Success

application/json
total_countintegerRequisExample: 100
get
/v1/storage/endpoint/{endpoint_name}/pull-profiles

Link a Pull Profile to an Application Version

put

Link a pull profile to an app version. Without a link, the pull profile by itself will do nothing.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
endpoint_namestringRequis
pull_profile_namestringRequis
app_namestringRequis
version_namestringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Réponses
chevron-right
200

Success

application/json
appstringRequis

Name of the linked app of the linked version

Example: app_name
app_versionstringRequis

Name of the linked app version.

Example: version_name
endpointstringRequis

Name of the endpoint storage

Example: endpoint_name
pull_profilestringRequis

Name of the pull profile the app version is linked to.

Example: pull_profile_name
create_timestringOptionnel

UTC time of link creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptionnel

UTC time of link last update

Example: 2022-01-01 00:00:00.000000
put
/v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name}/app/{app_name}/version/{version_name}

Update a Pull Profile

patch

Update a pull profile with new specifications.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
endpoint_namestringRequis
pull_profile_namestringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Corps
anyOptionnel
Réponses
chevron-right
200

Success

application/json
namestringOptionnel

Name of the pull profile

Example: pull_profile_name
sourcestringOptionnel

Source in the S3 bucket to fetch from

Example: /my-bucket/config.cfg
source_typestring · enumOptionnel

If the source is a File or a Directory

Example: FileValeurs possibles:
destinationstringOptionnel

Destination path where your source will be uploaded in your container. Make sure to avoid protected destinations, such as /etc/, as this will prevent the files from being copied to your deployment, and will make your deployment fail. Make sure a normal user can write to the destination folder.

Example: /usr/share/configs
create_timestringOptionnel

UTC time of pull profile creation

Example: 2022-01-01 00:00:00.000000
last_updatedstringOptionnel

UTC time of pull profile last update

Example: 2022-01-01 00:00:00.000000
patch
/v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name}

Unlink a Pull Profile From an Application Version

delete

Unlink a pull profile from an app version. It will not delete the pull profile.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
endpoint_namestringRequis
pull_profile_namestringRequis
app_namestringRequis
version_namestringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Réponses
delete
/v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name}/app/{app_name}/version/{version_name}

Aucun contenu

Delete a Pull Profile

delete

Delete a pull profile. All the application versions linked won't receive the data upload anymore. It will not delete your endpoint storage.

Autorisations
AuthorizationstringRequis
Paramètres de chemin
endpoint_namestringRequis
pull_profile_namestringRequis
Paramètres d'en-tête
AcceptstringOptionnelExample: */*
Content-TypestringOptionnelExample: application/json
Réponses
delete
/v1/storage/endpoint/{endpoint_name}/pull-profile/{pull_profile_name}

Aucun contenu

Mis à jour

Ce contenu vous a-t-il été utile ?